
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>如何在IBM AIX上构建一个双节点的IBM GPFS集群 / iVAN</title>

    <meta name="description" content="如何在IBM AIX上构建一个双节点的IBM GPFS集群 概述 本文的目的是为在 AIX 上安装和配置一个简单的双节点 GPFS 集群提供一个分步指南.下图提供了集群配置的可视化表示形式. 图 1. 集群配置的可视化表示形式 GPFS GPFS 提供了一个真正的 &quot;共享文件系统&quot; 功能,具有卓越的性能和可伸缩性.GPFS 允许一组计算机通过一个公共的存储区域网络(SAN)基础架构.一个网络或混合连接类型来同时访问一组公共的文件数据.GPFS 提供了存储管理.信息生命周期管理工具和集中式管理,还允许从提供了一个全局命名空间的远程 GP ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">如何在IBM AIX上构建一个双节点的IBM GPFS集群</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2>概述</h2>
<p>本文的目的是为在 AIX 上安装和配置一个简单的双节点 GPFS 集群提供一个分步指南。下图提供了集群配置的可视化表示形式。</p>
<h5>图 1. 集群配置的可视化表示形式</h5>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMDkzMTBHMEwtMC5qcGc=.jpg"></p>
<h2>GPFS</h2>
<p>GPFS 提供了一个真正的 “共享文件系统” 功能，具有卓越的性能和可伸缩性。GPFS 允许一组计算机通过一个公共的存储区域网络（SAN）基础架构、一个网络或混合连接类型来同时访问一组公共的文件数据。GPFS 提供了存储管理、信息生命周期管理工具和集中式管理，还允许从提供了一个全局命名空间的远程 GPFS 集群对文件系统进行共享访问。</p>
<p>GPFS 提供了数据分层、复制和其他许多高级特性。根据您的需要，配置可能很简单，也可能很复杂。</p>
<p>为 GPFS 准备好 AIX 环境</p>
<p>我们假设，您已经为 GPFS 购买了必要的许可和软件。如果有可用的 GPFS 软件介质，那么可以将 GPFS 文件集复制到需要运行 GPFS 的每个 AIX 节点上。</p>
<p>在本文中，每个分区都是利用 AIX version 7.1, Technology Level 2, Service Pack 1 构建的：</p>
<p># oslevel -s<br />
7100-02-01-1245</p>
<p>每个 AIX 系统都被配置为有 7 个 SAN 磁盘。一个磁盘用于 AIX 操作系统（rootvg），其余 6 个磁盘供 GPFS 使用。</p>
<p># lspv<br />
hdisk0          00c334b6af00e77b                    rootvg          active<br />
hdisk1          none                                none<br />
hdisk2          none                                none<br />
hdisk3          none                                none<br />
hdisk4          none                                none<br />
hdisk5          none                                none<br />
hdisk6          none                                none</p>
<p>SAN 磁盘（将与 GPFS 一起使用）被分配到两个节点（也就是说，在这两个分区之间共享它们）。两个 AIX 分区都配置了虚拟光纤通道适配器，并通过 SAN 访问它们的共享存储，如下图所示。</p>
<h5>图 2. 部署图</h5>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMDkzMTBJMjM5LTEuanBn.jpg"></p>
<p>使用 <code>chdev</code> 命令，对每个 hdisk 更改以下属性，如下表所示。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMDkzMTBISTUtMi5qcGc=.jpg"></p>
<p>lsattr 命令可用于验证每个属性是否被设置为正确的值：</p>
<p># lsattr -El hdisk6 –a queue_depth –q algorithm –a reserve_policy<br />
algorithm       round_robin        Algorithm                        True<br />
queue_depth     32                 Queue DEPTH                      True<br />
reserve_policy  no_reserve         Reserve Policy                   True</p>
<p>下一步是配置 Secure Shell (SSH)，使这两个节点可以互相通信。在构建 GPFS 集群时，必须确保集群中的节点拥有正确配置的 SSH，这样它们就不再需要进行密码身份验证。这需要配置 Rivest-Shamir-Adleman algorithm (RSA) 密钥对，以完成 root 用户 SSH 配置。需要在两个方向上对 GPFS 集群中的所有节点进行此配置。</p>
<p>GPFS 中的 mm 命令需要在身份验证后才能工作。如果没有正确配置密钥，这些命令每次都会提示您输入 root 密码，并且 GPFS 集群可能会失败。测试此配置的一个好方法是，确保 ssh 命令可以不受到 root 密码请求的阻碍，继续正常工作。</p>
<p>您可以参考在 AIX 上 配置 SSH 密钥的分步指南 ：</p>
<p>可以在每个节点上使用以下命令，确认各节点都能够使用 SSH 进行彼此（无阻碍的）通信：</p>
<p>aixlpar1# ssh aixlpar1a date<br />
aixlpar1# ssh aixlpar2a date<br />
   <br />
aixlpar2# ssh aixlpar2a date<br />
aixlpar2# ssh aixlpar1a date</p>
<p>若 SSH 正常工作，则为 root 用户配置 WCOLL (Working Collective) 环境变量。例如，创建一个文本文件，以每行一个节点的形式列出所有节点：</p>
<p># vi /usr/local/etc/gfps-nodes.list<br />
aixlpar1a<br />
aixlpar2a</p>
<p>将节点文件复制到集群中的所有节点。</p>
<p>将以下条目添加到 root 用户 .kshrc 文件。这将允许 root 用户在 GPFS 集群中的所有节点上使用 dsh 或 mmdsh 命令来执行命令。</p>
<p>export WCOLL=/usr/local/etc/gfps-nodes.list</p>
<p>应该修改 root 用户 PATH ，确保系统管理员可以使用所有 GPFS mm 命令。将以下条目添加到 root 用户的 .kshrc 文件。</p>
<p>export PATH=$PATH:/usr/sbin/acct:/usr/lpp/mmfs/bin</p>
<p>文件 /etc/hosts 在 GPFS 集群中的所有节点上都应该是一致的。每个节点的每个 IP 地址都必须被添加到每个集群节点上的 /etc/hosts。即使在每个节点上都配置了域名系统（DNS）的时候，也建议这样做。例如：</p>
<p># GPFS_CLUSTER1 Cluster - Test</p>
<p># # GPFS Admin network  - en0<br />
10.1.5.110  aixlpar1a aixlpar1<br />
10.1.5.120  aixlpar2a aixlpar2</p>
<p># # GPFS Daemon - Private Network  – en1   <br />
10.1.7.110   aixlpar1p<br />
10.1.7.120   aixlpar2p</p>
<p>在 AIX 上安装 GPFS</p>
<p>现在已经配置好了 AIX 环境，下一步是在每个节点上安装 GPFS 软件。这是一个非常简单的过程。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-17 04:26:52</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e5%91%bd%e4%bb%a4/" title="命令">命令</a>, <a href="https://www.iamivan.net/tag/%e9%9b%86%e7%be%a4/" title="集群">集群</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/%e8%8a%82%e7%82%b9/" title="节点">节点</a>, <a href="https://www.iamivan.net/tag/%e9%99%a4%e4%ba%86root%e8%8a%82%e7%82%b9/" title="除了root节点">除了root节点</a>, <a href="https://www.iamivan.net/tag/%e8%8a%82%e7%82%b9%e9%85%8d%e7%bd%ae/" title="节点配置">节点配置</a>, <a href="https://www.iamivan.net/tag/jedit2-7%e9%9b%86%e7%be%a4%e6%b5%8b%e8%af%95/" title="jedit2 7集群测试">jedit2 7集群测试</a>, <a href="https://www.iamivan.net/tag/%e9%9b%86%e7%be%a4%e9%80%9a%e4%bf%a1%e6%9e%b6%e6%9e%84ssh/" title="集群通信架构ssh">集群通信架构ssh</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>如何在IBM AIX上构建一个双节点的IBM GPFS集群的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyPBOdb.html" rel="bookmark">在 Oracle Enterprise Linux 和 iSCSI 上构建您自己的 Oracle RAC 11g 集群</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				                                                                                              &gt;                                                                                                                                                          			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKkG5ab.html" rel="bookmark">java-如何在RAP平台上添加一个crm管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何在RAP平台上添加一个crm管理 如何在RAP平台上添加一个crm管理,主要是这个流程怎么样子,跪求啊,急急急			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwLVQmb.html" rel="bookmark">vpn server amdroid-如何在android 设备上创建一个vpn server</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何在android 设备上创建一个vpn server 怎么创建一个手机端的 vpn server,怎么创建啊 找了好多 就只有client的 解决方案 用openvpn.建立server			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze7eq7M.html" rel="bookmark">ibm -在本地测试接口&comma;返回值编码正常&comma;部署到IBM aix上出现乱码 在线坐等大神回复</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在本地测试接口,返回值编码正常,部署到IBM aix上出现乱码 在线坐等大神回复 在本地测试接口,返回值编码正常,部署到IBM aix上出现乱码 在线坐等大神回复			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0nPknz.html" rel="bookmark">如何在Windows Azure上托管一个Node&period;js网站</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在本系列的第一篇文章中,我介绍了如何http://www.aliyun.com/zixun/aggregation/32995.html&quot;&gt;在Windows上运行Node.js.在第二篇文章中,我示范了如何在Node.js 中使用SQL Server.那也是我学习Node.js 的步骤,首先使它在windows上工作,然后再在SQL Server上.但是回到我开始的目标上,我需要为Wang Tao的worktile实现同步服务,并打算在Windows Azure上建一个原型.所以前两篇文章			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5RqZaz.html" rel="bookmark">javascript-JavaScript 如何在arcgis地图上画一个面并保存为图片</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 JavaScript 如何在arcgis地图上画一个面并保存为图片 求大神,在arcgis地图上画一个长方形面,如何把这个面保存成为一张图片 解决方案 http://zhidao.baidu.com/link?url=Im31uXgOUY2noPZmyzK-YwZSqBx2FetS5e0HlYrWdGSIgV4bQTqoTv7lWkVEvZoqsLBTPucqcD31Fc51qgjvoT1yLZnn8tHpetGnsNvfsrK			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnRBA2p.html" rel="bookmark">c&plus;&plus;-如何在QT界面上嵌入一个地图功能，选MapObjects还是mapx，还是自己拼地图图片好？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何在QT界面上嵌入一个地图功能,选MapObjects还是mapx,还是自己拼地图图片好? 我做的c++小软件,界面用qt,要加一个地图,能缩放,可以在地图上弹出注释窗口.因为以前没做过地图,不知道选MapObjects还是mapx,还是自己拼地图图片,哪种做出来的速度快,做起来也简单省事,最好有dome.如果用MapObjects或mapx时淘宝上卖的地图能用不?或者大家有什么更好的解决方案?求教求教...			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8N48ob.html" rel="bookmark">请问一下用ExtJs在Asp&period;net上构建一个动态的树？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 请问一下用ExtJs在Asp.net上构建一个动态的树?请吧源码发给我谢谢! 解决方案 解决方案二:&lt;html&gt;&lt;head&gt;&lt;scripttype=&quot;text/javascript&quot;src=&quot;js/ext/ext-base.js&quot;&gt;&lt;/script&gt;&lt;scripttype=&quot;text/javascript&quot;src=&quot;js/ext/ext-all.js&quot;&gt;&l			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK5R97p.html" rel="bookmark">大数据探索：在树莓派上通过 Apache Spark on YARN 搭建 Hadoop 集群</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有些时候我们想从 DQYDJ 网站的数据中分析点有用的东西出来,在过去,我们要用 R 语言提取固定宽度的数据,然后通过数学建模来分析美国的最低收入补贴,当然也包括其他优秀的方法. 今天我将向你展示对大数据的一点探索,不过有点变化,使用的是全世界最流行的微型电脑----树莓派,如果手头没有,那就看下一篇吧(可能是已经处理好的数据),对于其他用户,请继续阅读吧,今天我们要建立一个树莓派 Hadoop集群! I. 为什么要建立一个树莓派的 Hadoop 集群? 由三个树莓派节点组成的 Hadoop 集			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjB5nb.html" rel="bookmark" class="title">ASP&period;NET编写一个在线RSS新闻聚合器</a>
					<div>
						RSS新闻聚合现在好像很流行哦,让我们也来玩一下,不过我们要玩的是:用ASP.NET编写一个在线RSS新闻聚合器. 概要 本文讲解了如何使用 XML Web 控件获取远程XML数据并在 ASP.NET ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxY3Wb.html" rel="bookmark" class="title">如何在Oracle的SQL&ast;Plus工具中清屏</a>
					<div>
						方法一:同时按SHIFT和DELETE键然后点OK就可以了 . 方法二:如果在window窗口下sqlplus 中清屏命令:host cls 或是clear screen 或只是4位 clea scr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvK5GAp.html" rel="bookmark" class="title">活动目录系列之十一：活动目录的修复（上）</a>
					<div>
						在企业里,如果你的域环境出了问题,应该如何去修复呢?今天我们就来解决这个问题. (一)修复方法 1.重建 Winnt32.exe+dcpromo.exe 2.还原 Ntbackup还原到个好的状态(6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjN2op.html" rel="bookmark" class="title">Asp&period;net Mvc Framework 二 &lpar;URL Routing初解&rpar;</a>
					<div>
						什么是URLRouting呢? 你可以使用URL routing来配置一些URL的映射,使用户可以按你的规则来访问网站. 使用URL routing,一定要规定URL模式,它包括一个位置标识,它将在你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGje96p.html" rel="bookmark" class="title">ZBrush雕刻动态生物造型教程</a>
					<div>
						  本教程主要有关使用ZBrush3D图形绘制软件雕刻不对称的动态生物造型.可能很多人觉得雕刻造型有难度,但作为数字雕刻家,应该有一些造型作品上的尝试,不断扩展自己的技能,本教程将一步一步讲解雕刻过程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7lrnb.html" rel="bookmark" class="title">如何批量调整图片分辨率？</a>
					<div>
						  如何批量调整图片分辨率?          有一批图标大约800MB需要上传到服务器的FPS中,无奈太大了.都是使用PDA 800万像素拍出来的,分辨率是2600*2000,图片质量几乎都超过了3 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKZ8yp.html" rel="bookmark" class="title">让迅雷支持更多专用链下载</a>
					<div>
						  迅雷的下载速度大家有目共睹,但是现在仍有一些网站使用诸如flashget://或qqdl://之类的协议,甚至有的还会用javascript脚本,这样要下载这些资源,必须安装其客户端,给大家带来极 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91yAgM.html" rel="bookmark" class="title">Photoshop打造美女完美细腻脸部特写技巧</a>
					<div>
						人物头像修片需要一定的综合技术,修片过程大致可分为三个阶段:首先就是脸部轮廓.瑕疵.污点等修复.然后是比较关键的一步,保细节磨皮.最后就是整体润色及高光及暗部处理.过程看似简单,细节部分的处理需要耗费 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaO0Rz.html" rel="bookmark" class="title">PS简单快速合成逼真纹身</a>
					<div>
						  使用PS制作纹身相信很多人都试过,我之前也看过类似的教程,但是感觉方法和步骤有点繁琐,今天给大家推荐的这篇PS简单快速合成逼真纹身教程非常简单,推荐一下和朋友们一起分享学习了,我们先来看看最终的效 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mywn0Jz.html" rel="bookmark" class="title">Photoshop制作扭脖子的长颈鹿</a>
					<div>
						  效果图呢 step1:打开背景图 看着这大沙漠没一点生气 甚至和效果图一点都不沾边是不是有点不知所措 还好有我(偷笑) 我们只需要一部分就行了 快捷键C 裁剪一部分如下图 step2:接下来一秒变 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGLRrp.html" rel="bookmark" class="title">快牙怎么连接电脑</a>
					<div>
						  启动&quot;快牙电脑版&quot;后,如果电脑已连接互联网,则&quot;快牙电脑版&quot;将自动分享WiFi信号,供其他设备连接上网,此功能也可手动关闭网络共享. 注:若电脑未插外置Wi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3BD1p.html" rel="bookmark" class="title">java安装eclipse中的问题求教，希望可以帮到我</a>
					<div>
						问题描述 java安装eclipse中的问题求教,希望可以帮到我 ****新手不会安装eclipse请教怎么安装eclipse,新手一个,真的不会,还好学java比较的书籍是什么,在学校过程中需注意什 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQN0l8M.html" rel="bookmark" class="title">浅析php单例模式&lowbar;php实例</a>
					<div>
						本系列文章来总结一下设计模式在PHP中的应用,这是第一篇创建型模式之单例模式. 一.设计模式简介 首先我们来认识一下什么是设计模式: 设计模式是一套被反复使用.容易被他人理解的.可靠的代码设计经验的总 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZE28kp.html" rel="bookmark" class="title">MFC 扫描COM端口程序</a>
					<div>
						                                             MFC 扫描COM端口程序         MFC 扫描COM端口程序源代码   主要功能简介:   核心函数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQr18rM.html" rel="bookmark" class="title">hd1007</a>
					<div>
						#include &lt;iostream&gt; #include &lt;algorithm&gt; #include &lt;cmath&gt; using namespace std; str ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32VeNz.html" rel="bookmark" class="title">【Strurts框架】第一节Action-通配符</a>
					<div>
						使用通配符,将配置量降到最小. 在配置Action这样写: &lt;action name=&quot;student*&quot; class=&quot;cn.edu.hpu.action.Stu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVX66b.html" rel="bookmark" class="title">mysql-PHP&plus;MYSQL，我登陆之后，点击&OpenCurlyDoubleQuote;注销&rdquo;，为何会显示&OpenCurlyDoubleQuote;非法访问&rdquo;？</a>
					<div>
						问题描述 PHP+MYSQL,我登陆之后,点击&quot;注销&quot;,为何会显示&quot;非法访问&quot;? &lt;!DOCTYPE html&gt; &lt;html&gt; &lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWRBvz.html" rel="bookmark" class="title">Android自定义线程池的编程实战</a>
					<div>
						1.Executor 简介 在Java 5之后,并发编程引入了一堆新的启动.调度和管理线程的API.Executor框架便是Java 5中引入的,其内部使用了线程池机制,它在java.util.coc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydrG5b.html" rel="bookmark" class="title">一直获取数据进行操作</a>
					<div>
						问题描述 获取数据信息&gt;0执行完成后继续获取数据执行&lt;015s后获取数据执行 解决方案 解决方案二:问题都描述不清,真的懒得回答解决方案三:啥问题????解决方案四:引用2楼lc31654 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKDNXb.html" rel="bookmark" class="title">MySQL &CenterDot; 捉虫动态 &CenterDot; MySQL DDL BUG</a>
					<div>
						背景 MySQL保存了两份元数据,一份在server层,保存在FRM文件中,另外一份在引擎层,比如InnoDB的数据字典中,这样也就造成了DDL语句经常导致元数据不一致的情况,下面介绍两个近期出现的因 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL76w0M.html" rel="bookmark" class="title">时尚网站走秀网北京公司裁员主要业务移至深圳</a>
					<div>
						商报讯(记者 王晓然 刘一博)奢侈品B2C新一轮的洗牌期提前到来.有业内人士日前在微博上爆料称,走秀网(微博)北京分公司新年过后开始裁员,并将主要业务移师深圳总部. 记者从一位刚离职的走秀网员工处获悉 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeWXJM.html" rel="bookmark" class="title">动态加载布局-关于动态修改布局背景</a>
					<div>
						问题描述 关于动态修改布局背景 我有个布局如下: android:layout_width=&quot;match_parent&quot; android:layout_height=&quot;5 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkOBOM.html" rel="bookmark" class="title">PHPWord生成word实现table合并（colspan和rowspan&rpar;</a>
					<div>
						PHPWord(http://phpword.codeplex.com/)是一个很好处理和生成WORD文档的工具,但是生成复杂的word,如colspan和rowspan的实现,还是需要你做些修改.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44qejz.html" rel="bookmark" class="title">求J2ME或者J2SE的面试题啊</a>
					<div>
						问题描述 来点J2ME或者JAVA(j2se)的面试题啊... 解决方案 解决方案二:baidu一搜一把.解决方案三:搜出来很多都不给力...解决方案四:是啊,很多的解决方案五:JAVA最全面试题,j ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8GvQPM.html" rel="bookmark" class="title">三菱重工否认将与日立进行合并</a>
					<div>
						新浪科技讯 北京时间8月4日上午消息,据外电报道,三菱重工今天表示,该公司并没有与日立进行合并的打算,否认此前&lt;日经产业新闻&gt;有关两家公司已同意展开合并谈判的报道. 日立方面也回应称,媒体 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Y3rvz.html" rel="bookmark" class="title">求助：Jquery easyui中combobox onchange事件</a>
					<div>
						问题描述 onchage事件,想输入汉字,结果每次只输入一个字符他就自动回车了,有人知道这个问题怎么解决吗.可能有可能是输入框中有字符他就自己执行后面combobox刷新,但是有没有人知道这个如何解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEJa1AM.html" rel="bookmark" class="title">《51单片机应用开发从入门到精通》&mdash;&mdash;2&period;5　用取表方式实现灯移动</a>
					<div>
						2.5 用取表方式实现灯移动 功能说明:单片机端口接8只LED,编程时利用取表的方法,使端口P1的LED先一次点亮1只跳跃左移,点亮顺序为P1.0.P1.2.P1.4.P1.6:接着一次点亮2只,从左 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baqRZXb.html" rel="bookmark" class="title">煮熟的鸡蛋这么用竟可治病</a>
					<div>
						我们一直提倡每天一个鸡蛋,因为鸡蛋中蛋白质所含的氨基酸比例非常适合人的吸收,其吸收利用率高达98%,尤其是5分钟的煮鸡蛋营养价值最高. 我们都知道鸡蛋营养价值高但是不适合多吃,不然容易对肾和消化系统造 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx2ZBOz.html" rel="bookmark" class="title">让你提前认识软件开发&lpar;26&rpar;：数据库脚本的注释</a>
					<div>
						第2部分 数据库SQL语言 数据库脚本的注释   1. 概述         注释在程序语言的编写中占有非常重要的地位.优美的.得当的注释不仅有助于研发人员理解程序,还能够提高编程效率(进而提高办事效 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baEokXb.html" rel="bookmark" class="title">Groupon入华选合作者团宝网持cn域名坦然面对</a>
					<div>
						&lt;IT时代周刊&gt;记者/秦 茜(发自北京.上海) Groupon的中国之旅即将展开,这对国内团购行业而言是一针兴奋剂.但就目前来看,Groupon入华的前期筹备过程进展得并不顺利,它甚至遇上 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
